# JSDoc: Class: NoteComplement

# Class: NoteComplement

## NoteComplement()

Complements the NoteShort with the main note content and other extra attributes

## Constructor

#### new NoteComplement()

Source:
  - entities/note_complement.js, line 4

### Members

#### combinedDateModified

Source:
  - entities/note_complement.js, line 32

#### combinedUtcDateModified

Source:
  - entities/note_complement.js, line 35

#### content

Source:
  - entities/note_complement.js, line 12

#### contentLength

Source:
  - entities/note_complement.js, line 15

#### dateCreated

Source:
  - entities/note_complement.js, line 18

#### dateModified

Source:
  - entities/note_complement.js, line 21

#### noteId

Source:
  - entities/note_complement.js, line 7

#### utcDateCreated

Source:
  - entities/note_complement.js, line 24

#### utcDateModified

Source:
  - entities/note_complement.js, line 27